<?php
//include dirname(__FILE__)."/../administrateur/fonctions.php"; //Chargement des fonctions utilisées

//Connexion à la BdD
include "/../session/connexion.php";

 
// Tableaux de donnees
$tabExt = array('jpg','png','jpeg');    // Extensions prises en charge
$infosImg = array();
$infosImg=null;

// Variables
$extension = '';
$message = '';
$nomImage = '';
$taille=0;

if(!empty($_POST))
{
  //Verif si champs adresse fichier non vide
  if( !empty($_FILES['file']['name']) )
  {

    //Recuperation de l'extension du fichier
    $extension  = pathinfo($_FILES['file']['name'], PATHINFO_EXTENSION);
 
    //Verification de l'extension du fichier
    if(in_array(strtolower($extension),$tabExt)) 
    {
        $file_temp = $_FILES['file']['tmp_name']; 

      //Récupération des dimensions du fichier
          if($_FILES['file']!=null) {
                $infosImg = getimagesize($file_temp);
                }
      //Verification du type de l'image
      if($infosImg[2] >= 1 && $infosImg[2] <= 6) //Prise en charge des formats GIF, JPEG, PNG, SWF, PSD, BMP, TIFF_II, TIFF_MM, JPC, JP2, JPX, JB2, SWC et IFF
      {
          //Parcours du tableau d'erreurs
          if(isset($_FILES['file']['error']) 
            && UPLOAD_ERR_OK === $_FILES['file']['error'])
          {
           
////////////////////
////////////////////
		   //Renommage du fichier fichier:
			
			$nomSession = $_SESSION['identifiant'];
			
			//Récup du champ image_etu correspondant à l'identifiant de la session
			$recupNomImage=$objPdo->prepare("SELECT image_etu FROM etudiant e, session s WHERE s.identifiant = '$nomSession' AND e.id_session = s.id_session");
			$recupNomImage->execute();
			
            while($rowNomImage=$recupNomImage->fetch())
            {
                    $nomImage=$rowNomImage['image_etu']; //Stockage de la valeur dans une variable de travail
            }
			
////////////////////
////////////////////			
			
            //Si fichier accepté, test de la mise en ligne
            if(move_uploaded_file($_FILES['file']['tmp_name'], dirname(__FILE__)."/img/".$nomImage))
            {
              $message = 'Mise en ligne réussie !';
            }
            else
            {
              //Test non concluant
              $message = 'Problème lors de la mise en ligne!';
            }
          }
          else
          {
            $message = 'Une erreur interne a empêché la mise en  ligne de  l\'image';
          }
      }
      else
      {
        //Si erreur sur le type de l'image
        $message = 'Le fichier n\'est pas une image !';
      }
    }
    else
    {
      //Si erreur d'extension
    	$message = 'L\'extension du fichier est incorrecte !';
    }
  }
  else
  {
    //Si erreur champ vide
    $message = 'Veuillez sélectionner l\'image à envoyer !';
  }
}
?>

<!DOCTYPE html> 
<meta charset="UTF-8" />


<div id="contenu">

<form enctype="multipart/form-data" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']); ?>" method="post">

	<h3>Importation d'une photo</h3>
			
	<p>
	 
	<label>Envoyer le fichier :</label><br />
				
	<input name="file" type="file" id="file" />
				
	<input type="submit" name="submit" value="Envoyer" />
	 
	 </p>
	 
</form>

<?php
if( !empty($message) ) 
{
	echo '<p>',"\n";
	echo "\t\t<b class='ff6347'>", htmlspecialchars($message) ,"</b>\n";
	echo "\t</p>\n\n";
}
?>
	
</div>	
